=== TODO ===

* Add callbacks to AbstractInterruptibleChannel.begin/end, as shown
  in the Java doc:

  new connect/accept then does the following (in blocking mode):

 boolean completed = false;
 try {
     begin();
     completed = blocking_xy();    // Perform blocking I/O operation
     return ...;         // Return result
 } finally {
     end(completed);
 }

* Implement model (for model-based testing) for ServerSocketChannel,
  Selector objects.

* Make sure all exceptions in different states of Selector objects
  are also generated (ClosedSelectorException, Illegal...Exc., etc.).
